## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate oxipng

Name:           rust-%{crate}
Version:        5.0.1
Release:        %autorelease
Summary:        Lossless PNG compression optimizer

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/oxipng
Source:         %{crates_source}
# Initial patched metadata
# Downgrade miniz_oxide to version 0.4
# Upgrade zopfli to version 0.5
Patch0:         oxipng-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Lossless PNG compression optimizer.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 and MIT
# ASL 2.0 or MIT
# MIT
# MIT and zlib or ASL 2.0 and zlib
# MIT or ASL 2.0
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and MIT and zlib

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc CHANGELOG.md README.md README.template.md
%{_bindir}/oxipng

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md README.template.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+binary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+binary-devel %{_description}

This package contains library source intended for building other packages which
use "binary" feature of "%{crate}" crate.

%files       -n %{name}+binary-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use "clap" feature of "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+filetime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+filetime-devel %{_description}

This package contains library source intended for building other packages which
use "filetime" feature of "%{crate}" crate.

%files       -n %{name}+filetime-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libdeflater-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libdeflater-devel %{_description}

This package contains library source intended for building other packages which
use "libdeflater" feature of "%{crate}" crate.

%files       -n %{name}+libdeflater-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages which
use "parallel" feature of "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use "rayon" feature of "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+stderrlog-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stderrlog-devel %{_description}

This package contains library source intended for building other packages which 
use "stderrlog" feature of "%{crate}" crate.

%files       -n %{name}+stderrlog-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wild-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wild-devel %{_description}

This package contains library source intended for building other packages which
use "wild" feature of "%{crate}" crate.

%files       -n %{name}+wild-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+zopfli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zopfli-devel %{_description}

This package contains library source intended for building other packages which
use "zopfli" feature of "%{crate}" crate.

%files       -n %{name}+zopfli-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> 5.0.1-4
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Rémi Lauzier <remilauzier@protonmail.com> 5.0.1-2
- Update for zopfli 0.5

* Wed Dec 15 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.1-1
- Update to version 5.0.1; Fixes RHBZ#1981211

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 5.0.0-5
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-3
- Remove crc downgrade

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-2
- Downgrade deps

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-1
- Update to version 5.0.0; Fixes RHBZ#1981211

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 4.0.3-1
- Initial package

